Get lost reason
http
GET https://services.leadconnectorhq.com/opportunities/lost-reasonAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | |
name | string | No | lost reason | lost reason name |
deleted | boolean | No | False | deleted |
query | string | No | dentist | search query |
skip | number | No | 1 | skip |
limit | number | No | 10 | limit |
getCount | boolean | No | field | get count |
Responses
200 - Successful response
lostReasons(object[])id(string): lost reason id Example:ve9EPM428h8vShlRW1KTname(string): lost reason name Example:lost reasonlocationId(string): account id Example:location_idupdatedAt(string): updated at Example:2023-06-19T12:04:22.488ZcreatedAt(string): created at Example:2023-06-19T12:04:22.488Z
total(number): Example:100
json
{
"lostReasons": [
{
"id": "ve9EPM428h8vShlRW1KT",
"name": "lost reason",
"locationId": "location_id",
"updatedAt": "2023-06-19T12:04:22.488Z",
"createdAt": "2023-06-19T12:04:22.488Z"
}
],
"total": 100
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/opportunities/lost-reason' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/opportunities/lost-reason', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/opportunities/lost-reason',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/opportunities/lost-reason');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);